function han = plotnewengland
% han = plotnewengland
% plots coast of New England on top of existing plot
% uses file WNA_coast.mat
%

% get plot state
nextplotstatewas = get(gca,'nextplot');

% hold whatever is already plotted
set(gca,'nextplot','add')

load('WNA_coast')

% keep axes of original plot  
ax = axis;
lon(find(lon<ax(1)|lon>ax(2))) = NaN;
lat(find(lat<ax(3)|lat>ax(4))) = NaN;
h = plot(lon,lat,'k-');

% restore nextplotstate to what it was
set(gca,'nextplot',nextplotstatewas);

if nargout > 0
   han = h;
end
